
Ruby - Bug #5204

`defined?(@@foo) && @foo` may fail

08/19/2011 07:34 PM - judofyr (Magnus Holm)

Status: Closed   

Priority: Normal   

Assignee: ko1 (Koichi Sasada)   

Target version: 1.9.3   

ruby -v: - Backport:  

Description

defined?(@@foo) doesn't use the correct cbase.

See https://github.com/ruby/ruby/pull/44 for test and patch.

History

#1 - 08/22/2011 08:47 PM - shyouhei (Shyouhei Urabe)

- Category set to YARV

- Status changed from Open to Assigned

- Assignee set to ko1 (Koichi Sasada)

- Priority changed from Normal to 5

- Target version set to 1.9.3

Hi ko1, what do you think?

#2 - 08/24/2011 09:53 AM - ko1 (Koichi Sasada)

- ruby -v changed from ruby 1.9.2p290 (2011-07-09 revision 32553) [x86_64-darwin11.2.0] to -

Hi,

Thank you Magnus for your reporting and a patch.

I apply it.

Yugui-san:

I think it can be applied to 1.9.3.

(2011/08/22 4:47), Shyouhei Urabe wrote:

defined?(@@foo) doesn't use the correct cbase.

See https://github.com/ruby/ruby/pull/44 for test and patch.

 --

// SASADA Koichi at atdot dot net

#3 - 08/25/2011 08:16 AM - ko1 (Koichi Sasada)

- Status changed from Assigned to Closed

Fixed by r33045 on trunk.  not applied to 1.9.3.

Yugui-san: Should I commit it?

#4 - 08/25/2011 01:14 PM - sorah (Sorah Fukumori)

Backported to ruby_1_9_3 at r33068.
